> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Unblock Salesperson

POST https://api.npretail.app/{tenant}/{environment}/{company}/pos/salesperson/{id}/unblock

Unblock a Salesperson by Id

Reference: https://docs.navipartner.com/apis/api-reference/pos/salesperson/unblock-salesperson-purchaser

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `id` (UUID, required) — The id of a salesperson.

## Response

### 200

- `id` (UUID, required) — The id of a salesperson.
- `code` (string, required) — The code of the Salesperson
- `name` (string, required) — The name of the Salesperson
- `email` (string, required) — The email of the Salesperson
- `phoneNo` (string, required) — The Phone no. of the Salesperson
- `isSupervisor` (boolean, required) — Specifies if it is a Supervisor
- `blocked` (boolean, required) — Specifies if the salesperson is blocked from using the system
- `posUnitGroup` (string, required) — The POS Unit Group of the Salesperson

## Examples

**Response**

```json
{
  "id": "fafbee38-fae3-4eec-bbb1-97fed79cac41",
  "code": "12345",
  "name": "Salesperson Name",
  "email": "john.doe@yahoo.com",
  "phoneNo": "+45521535353",
  "isSupervisor": true,
  "blocked": true,
  "posUnitGroup": "1"
}
```

**SDK Code**

```python Example successful unblock
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/12345678-1234-1234-1234-123456789012/unblock"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example successful unblock
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/12345678-1234-1234-1234-123456789012/unblock';
const options = {method: 'POST', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example successful unblock
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/12345678-1234-1234-1234-123456789012/unblock"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example successful unblock
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/12345678-1234-1234-1234-123456789012/unblock")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Example successful unblock
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/12345678-1234-1234-1234-123456789012/unblock")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Example successful unblock
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/12345678-1234-1234-1234-123456789012/unblock', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Example successful unblock
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/12345678-1234-1234-1234-123456789012/unblock");
var request = new RestRequest(Method.POST);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Example successful unblock
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/12345678-1234-1234-1234-123456789012/unblock")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```